/**
* 文件：MateriaBomTreeEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 物料BOM类目(产品树)</p>
 * <p>Description: MateriaBomTreeEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomTreeEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1617327080121L;
	
	/** BOM类目名称，同父类目下不能重名 */
	private String name;

	/** BOM类目代码，包含父类目代码 */
	private String code;

	/** 父类目ID */
	private Long parentId;

	/** 是否叶子节点，0否，1是，默认1 */
	private Integer isLeaf;

	/** 关联materiaId，不为空，对应指定物料 */
	private Long materiaId;

	/** 备注 */
	private String remark;

	/** 变更时间 */
	private Date updateTime;

	/** 变更用户loginName */
	private String updateUser;

	/** 创建时间 */
	private Date createTime;

	/** 创建用户loginName */
	private String createUser;


	public MateriaBomTreeEntity(){
		
	}
	/**
	 * 获取 BOM类目名称，同父类目下不能重名
	 * @return name
	 */
	public String getName(){
		return this.name;
	}

	/**
	 * 设置 BOM类目名称，同父类目下不能重名
	 * @param name
	 */
	public void setName(String name){
		this.name = name;
	}

	/**
	 * 获取 BOM类目代码，包含父类目代码
	 * @return code
	 */
	public String getCode(){
		return this.code;
	}

	/**
	 * 设置 BOM类目代码，包含父类目代码
	 * @param code
	 */
	public void setCode(String code){
		this.code = code;
	}

	/**
	 * 获取 父类目ID
	 * @return parentId
	 */
	public Long getParentId(){
		return this.parentId;
	}

	/**
	 * 设置 父类目ID
	 * @param parentId
	 */
	public void setParentId(Long parentId){
		this.parentId = parentId;
	}

	/**
	 * 获取 是否叶子节点，0否，1是，默认1
	 * @return isLeaf
	 */
	public Integer getIsLeaf(){
		return this.isLeaf;
	}

	/**
	 * 设置 是否叶子节点，0否，1是，默认1
	 * @param isLeaf
	 */
	public void setIsLeaf(Integer isLeaf){
		this.isLeaf = isLeaf;
	}

	/**
	 * 获取 关联materiaId，不为空，对应指定物料
	 * @return materiaId
	 */
	public Long getMateriaId(){
		return this.materiaId;
	}

	/**
	 * 设置 关联materiaId，不为空，对应指定物料
	 * @param materiaId
	 */
	public void setMateriaId(Long materiaId){
		this.materiaId = materiaId;
	}

	/**
	 * 获取 备注
	 * @return remark
	 */
	public String getRemark(){
		return this.remark;
	}

	/**
	 * 设置 备注
	 * @param remark
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}

	/**
	 * 获取 变更时间
	 * @return updateTime
	 */
	public Date getUpdateTime(){
		return this.updateTime;
	}

	/**
	 * 设置 变更时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUser
	 */
	public String getUpdateUser(){
		return this.updateUser;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUser
	 */
	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUser
	 */
	public String getCreateUser(){
		return this.createUser;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUser
	 */
	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof MateriaBomTreeEntity) {
			MateriaBomTreeEntity tmp = (MateriaBomTreeEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",name:").append(getName())
		  .append(",code:").append(getCode())
		  .append(",parentId:").append(getParentId())
		  .append(",isLeaf:").append(getIsLeaf())
		  .append(",materiaId:").append(getMateriaId())
		  .append(",remark:").append(getRemark())
		  .append(",updateTime:").append(getUpdateTime())
		  .append(",updateUser:").append(getUpdateUser())
		  .append(",createTime:").append(getCreateTime())
		  .append(",createUser:").append(getCreateUser());
		return sb.toString();
	}
	public void initAttrValue(){
		this.name = null;
		this.code = null;
		this.parentId = null;
		this.isLeaf = 1;
		this.materiaId = null;
		this.remark = null;
		this.updateTime = null;
		this.updateUser = null;
		this.createTime = null;
		this.createUser = null;
	}
}